summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:29:54 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:29:54 +0000
commitd9ba77e604149a2761a5aaa051fd90810d68f502 (patch)
tree9e7745491e14289b34b20816546d7fdabff6fa6e
parentaa057c097f450f07f14f867506cbaafbfbfacce9 (diff)
INTEGRATION: CWS dmake45 (1.1.2); FILE ADDED
2006/06/22 20:45:44 vq 1.1.2.2: #i66650# Make dmake testsuite more portable. (Usable with Solaris.) Patch by hjs. 2006/06/14 22:43:41 vq 1.1.2.1: #i48087# Add testcases and change man page.
-rw-r--r--dmake/tests/targets-1050
1 files changed, 50 insertions, 0 deletions
diff --git a/dmake/tests/targets-10 b/dmake/tests/targets-10
new file mode 100644
index 000000000000..3f7931242b02
--- /dev/null
+++ b/dmake/tests/targets-10
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# 14.06.2006 Volker Quetschke
+# If %-targets are defined with more than one (not indirect) prerequisite
+# only the first is used. This is supposed to be fixed at one point but
+# currently we issue a warning that it not working (yet).
+# (issue 48087)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Check that we warn.
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+%.xx : %.yy %.pp ; touch $@
+
+abc.xx : ; echo nix
+
+EOT
+
+output1=`eval ${DMAKEPROG} -r -f $file1 2>&1 `
+result1=$?
+
+if echo $output1 | grep 'Warning: -- More than one prerequisite' > /dev/null 2>&1 ; then
+ dummy=1
+ # OK
+else
+ echo "Test 1: Wrong result: $output1"
+ echo
+ result1=1
+fi
+
+if test $result1 -eq 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ result=0
+else
+ echo "Failure!"
+ result=1
+fi
+exit $result